#!/usr/bin/env python2
# -*- coding: utf-8 -*-

# Created on Sun May  3 09:12:07 2015
# @author: thl

"""Contains constants and related stuff"""

import sys

import os.path as op


__version__ = "0.1.0 - 2016-10-15"
__copyright__ = "(c) D.Thaler 2015 - http://adnitevision.foehnwall.at"
__license__ = "EUPL - https://joinup.ec.europa.eu/software/page/eupl"

VERSION = __version__  # : Program version
COPYRIGHT = __copyright__  # : Copyright
LICENSE = __license__  # : License


STATIONDATABASE = op.join(op.expanduser('~'),  # : station data base file
                          ".adnitevision/stations.sqlite")
MILILUXALERT_LOWER = 0.5  # : lower illumination alert in mililux
MILILUXALERT_UPPER = 1.5  # : upper illumination alert in mililux


def main_footerline(progname):
    """ Returns a line with copyright notice etc..."""
    return progname + "V. " + VERSION + " -- " + COPYRIGHT + \
        "\nPublished under the conditions of the license: " + LICENSE


def version(header='Module'):
    """ Prints version and copyright message on standard output"""
    print(header + ": " + op.basename(sys.argv[0]))
    print(__copyright__)
    print("Version: " + __version__)
    print("License: " + __license__)


if __name__ == "__main__":
    version()
